<?php

namespace Drupal\pki_ra\Misc;

class IdqaScore {

  const NUMBER_OF_DIGITS = 8;

  protected $score;

  public function __construct() {
    $this->score = $this->calculate();
  }

  public function getScore() {
    return $this->score;
  }

  protected function calculate() {
    $setting = trim(\Drupal::config('pki_ra.settings')->get('idqa.enrolment_score'));

    if ($this->isValid($setting)) {
     return $setting;
    }
    return NULL;
  }

  public static function isValid($score) {
    if (is_string($score) && ctype_digit($score) && (strlen($score) == self::NUMBER_OF_DIGITS)) {
      return TRUE;
    }
    return FALSE;
  }

}
